Subject: Re: bug#68969: [PATCH] Fix handling of delta values with negative month field

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 19:41:22 -0800

Version: 31.1

Łukasz Stelmach <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Łukasz Stelmach <[email-masked]> writes:
>>
>>> * lisp/calendar/time-date.el (decoded-time-add): If the new
>>> variable is less then zero, the year needs to be decremented
>>> by quotient of new and 12 increased by one.
>>> * test/lisp/calendar/time-date-tests.el (test-decoded-add):
>>> Add applicable test cases.
>>> ---
>>>  lisp/calendar/time-date.el            |  2 +-
>>>  test/lisp/calendar/time-date-tests.el | 12 ++++++++++++
>>>  2 files changed, 13 insertions(+), 1 deletion(-)
>>
>> Thanks, and sorry for the late reply here.
>>
>> Could you please explain what is the issue that this patch fixes?  Is
>> there a concrete use case that made you run into this?
>
> I was playing with Gnus' message list limiting
> gnus-summary-limit-to-age[1] and making my own
> lksz-gnus-summary-limit-to-month before sending this patch, but honestly
> I can't remember exactly. Beginning of a year may suggest that I was
> moving some e-mail messages between archive folders and something wasn't
> right across the year boundary. This is as close as I can guess.
>
> I still believe, however, the patch as it is needed and makes sense.
>
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58820

Thanks for the patch.  I installed it on master.

I'm therefore closing this bug report.